let
  pkgs = import <nixpkgs> {};
in
  pkgs.mkShell {
    buildInputs = [

      #pkgs.texlive.combined.scheme-small 

      (pkgs.texlive.combine {
        inherit (pkgs.texlive) 
        scheme-small
        collection-latexextra
        collection-fontsextra
        collection-fontsrecommended
        palatino
        textgreek
        minted
        tcolorbox
        etoolbox
        maths-symbols
        greek-inputenc
        babel
        isodate
        pst-graphicx
        visualtikz
        quantikz
        tikz-feynman
        pgfplots
        cbfonts-fd
        cbfonts
        mathpazo
        helvetic
        circuitikz  ;

        # To compile, call:
        # $ pdflatex -shell-escape xxx.tex
        # if missing packages, you can search if the required tex packages is in nixpkgs or not from here
        # https://raw.githubusercontent.com/NixOS/nixpkgs/master/pkgs/tools/typesetting/tex/texlive/pkgs.nix
        # if available, just add it to the above list 

      })
    ];
  }

